<?php

namespace cmb2grid\grid;

/**
 * Description of cmb2grid
 *
 * @author Pablo Pacheco <pablo.pacheco@origgami.com.br>
 */
if (!class_exists('\cmb2grid\grid\cmb2grid')) {

    class cmb2grid {

        private $cmb2Obj;
        private $cmb2Id;
        private $metaBoxConfig;
        private $rows = array();

        public function __construct($meta_box_config) {
            $this->setMetaBoxConfig($meta_box_config);
            $this->setcmb2Obj(\cmb2_get_metabox($this->getMetaBoxConfig()));
            //$cmb2Obj = $this->getcmb2Obj();
            //error_log('--- DEBUG: $cmb2Obj ---');
            //error_log(print_r($cmb2Obj, true));
            //add_action("admin_init", array($this, 'adminInit'), 15);
        }

        /**
         * 
         * @param type $field
         * @return \cmb2grid\grid\group\cmb2groupgrid
         */
        public function addcmb2groupgrid($field) {
            $cmb2groupgrid = new group\cmb2groupgrid($this->getMetaBoxConfig());
            $cmb2groupgrid->setParentFieldId($field);
            return $cmb2groupgrid;
        }

        public function addrow() {
            $rows = $this->getrows();
            $newrow = new row($this);
            $rows[] = $newrow;
            $this->setrows($rows);
            return $newrow;
        }

        /**
         * 
         * @return \CMB2
         */
        function getcmb2Obj() {
            return $this->cmb2Obj;
        }

        function setcmb2Obj($cmb2Obj) {
            $this->cmb2Obj = $cmb2Obj;
        }

        function getcmb2Id() {
            return $this->cmb2Id;
        }

        function setcmb2Id($cmb2Id) {
            $this->cmb2Id = $cmb2Id;
        }

        function getMetaBoxConfig() {
            return $this->metaBoxConfig;
        }

        function setMetaBoxConfig($metaBoxConfig) {
            $this->metaBoxConfig = $metaBoxConfig;
        }

        function getrows() {
            return $this->rows;
        }

        function setrows($rows) {
            $this->rows = $rows;
        }

    }

}